﻿using System;
using System.Windows;
using Microsoft.Phone.Controls;

namespace WebBrowserPhoneApp
{   
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();

            webBrowser1.ScriptNotify += new EventHandler<NotifyEventArgs>(webBrowser1_ScriptNotify);

            txtUrl.Text = "http://kaki105.cafe24.com/sample/webBrowserTest.htm";
        }

        void webBrowser1_ScriptNotify(object sender, NotifyEventArgs e)
        {
            MessageBox.Show(string.Format("New value received from web browser control (\"{0}\")", e.Value));
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            webBrowser1.InvokeScript("DataReceivedFromPhoneApp", "test data");
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            webBrowser1.Navigate(new Uri(txtUrl.Text, UriKind.Absolute));
        }
    }
}